aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/build-sonar.sh2
-rwxr-xr-xscripts/run-sonar.sh2
2 files changed, 4 insertions, 0 deletions
diff --git a/scripts/build-sonar.sh b/scripts/build-sonar.sh
index 80ae38175..eb6f0f5f2 100644
--- a/scripts/build-sonar.sh
+++ b/scripts/build-sonar.sh
@@ -13,6 +13,8 @@
#!/bin/bash
+set -euxo pipefail
+
# Download docker compose
sudo curl -L "https://github.com/docker/compose/releases/download/1.23.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
sudo chmod +x /usr/local/bin/docker-compose
diff --git a/scripts/run-sonar.sh b/scripts/run-sonar.sh
index 383d03273..7bb179d05 100755
--- a/scripts/run-sonar.sh
+++ b/scripts/run-sonar.sh
@@ -1,5 +1,7 @@
#!/bin/bash
+set -euxo pipefail
+
# SONAR_HOST_URL=https://sonarcloud.io
# PROJECT_KEY=fdio-hicn
# PROJECT_ORGANIZATION=fdio